Subject: Offline Message from Deanna Morrison: I got my swagtron last year but I took
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked]
Date: Tue, 19 Apr 2022 00:24:45 -0000

From: Deanna Morrison <[email-masked]>
Phone: 3162939689
Location: Wichita, United States
URL: https://swagtron.com/product/eb7-plus-electric-bike-quick-shift-shimano-7-speed-removable-battery/
Department: SwagTron

I got my swagtron last year but I took it to a go bike shop so that I could have new brakes put on it and it has it's like the gears get stuck now it if I wrote it for a good period of time it doesn't downshift I have to downshift it or turn it off or it's going to keep going and throw me off any suggestions on where I can find a local dealer or somebody that is specialized in this around Wichita Kansas that can help me look at this

----
Zopim
https://www.zopim.com